#!/usr/bin/python3

# https://wiki.servarr.com/en/sonarr/custom-scripts

import os
from os import environ
import configparser
import requests

config = configparser.ConfigParser()
config.read(os.path.dirname(__file__) + '/config.ini')

server_token = config['server']['token']
server_url = config['server']['url']

def toot(mastodon_url: str, body: str, mastodon_token: str):
    headers = {}
    headers["Authorization"] = f"Bearer {mastodon_token}"

    data = {}
    data["status"] = body

    response = requests.post(
        url=f"{mastodon_url}/api/v1/statuses", data=data, headers=headers
    )

if os.getenv('radarr_eventtype'):
    if os.getenv('radarr_eventtype') == 'Download':
        body = "New content added to Jellyfin: \n"
        body += "Movie: " + os.getenv('radarr_movie_title') + '\n'
        toot(server_url, body, server_token)


if os.getenv('sonarr_eventtype'):
    if os.getenv('sonarr_eventtype') == 'Download':
        body = "New content added to Jellyfin: \n"

        series_title = environ.get('Sonarr_Series_Title')
        season_number = environ.get('Sonarr_EpisodeFile_SeasonNumber')
        episode_number = environ.get('Sonarr_EpisodeFile_EpisodeNumbers')
        episode_title = environ.get('Sonarr_EpisodeFile_EpisodeTitles')
        release_quality = environ.get('Sonarr_EpisodeFile_Quality')
        body += "%s - S%sE%s - %s [%s]\n" % (series_title, season_number, episode_number, episode_title, release_quality)


        toot(server_url, body, server_token)


if os.getenv('sonarr_eventtype') == 'Test':
    toot(server_url, "Test message", server_token)
